/*  ==========================================================================
    ZOOMSQUARE FOOTER
    ========================================================================== */


    /* STYLING
    ========================================================================== */

    footer
    {
        padding: $double-space $r-gutter;

        background-color: $footer-background-color;
        color: $footer-color;
        font-size: $footer-font-size;
        text-align: center;

        @include breakpoint(large)
        {
            padding: $double-space * 2 $r-gutter * 3;
        }

        @include breakpoint(huge)
        {
            padding: $double-space * 2 $r-gutter * 4;
        }

        .fb-messengermessageus
        {
            display: block!important;
        }
    }

    .l-footer
    {
        max-width: 1200px;
        margin: 0 auto;

        text-align: left;
    }

    .l-footer__links-column
    {
        margin-left: 0;
    }

    .footer__reg,
    .footer__links
    {
        margin-bottom: $double-space;
    }

    .footer__reg
    {
        margin-top: $double-space;

        @include breakpoint(medium)
        {
            margin-top: 0;
            padding-right: $r-gutter;
        }

        @include breakpoint(large)
        {
            padding-right: $r-gutter * 2;
        }
    }

    .footer__links
    {
        @include breakpoint(medium)
        {
            margin-bottom: $single-space * 3;
        }
    }

    .footer__links-list
    {
        margin-left: 0;
        padding: 0;

        list-style-type: none;
        text-indent: 0;

        li
        {
            margin-bottom: 0;

            line-height: 4rem;

            @include breakpoint(large)
            {
                line-height: 2.7rem;
            }

            &:before
            {
                content: '';
                list-style-type: none;
            }
        }
    }

    .footer__copyright
    {
        text-align: center;
    }

    .footer__logo
    {
        margin-bottom: $single-space;
        width: 166px;
    }

    .footer__links-title
    {
        margin-bottom: $single-space;

        font-weight: $font-weight-bold;
    }

    .footer__social,
    .footer__social--fb,
    .footer__social--twitter,
    .footer__social--insta
    {
        @include inline-block;
    }

    .footer__social--fb,
    .footer__social--twitter,
    .footer__social--insta
    {
        width: 32px;
        height: 32px;
        margin: 0 $r-gutter / 2 $single-space;

        background-image: url(/assets/shared/img/footer/social_2.png);
        background-repeat: no-repeat;
        background-size: 100%;
    }

    .footer__social--twitter
    {
        background-position: 0 -33px;
    }

    .footer__social--insta
    {
        background-position: 0 -65px;
    }


    /* LAYOUT
    ========================================================================== */

    .l-footer,
    .l-footer__links-column
    {
        @extend %grid;
        @extend %grid--full;
    }

    .footer__reg,
    .footer__links,
    .footer__copyright,
    .footer__links-column
    {
        @extend %grid__item;
    }

    .footer__reg
    {
        @extend %large--one-third;
    }

    .footer__links
    {
        @extend %large--two-thirds;
    }

    .footer__links-column
    {
        @extend %large--one-half;
    }